body, html {
  margin: 0;
  padding: 0;
  height: 100%;
  background-color: #000;
  overflow: hidden;
  font-family: sans-serif;
}
.main-content {
  display: none;
  color: white;
  text-align: center;
/*  margin-top: 200px;*/
}

.loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: #000;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.ring-wrapper {
  position: relative;
  width: 300px;
  height: 300px;
}

.logo {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 120px;
  height: 120px;
  transform: translate(-50%, -50%);
  opacity: 0;
  transition: opacity 1s ease-in-out;
}

.progress-ring {
  transform: rotate(-90deg);
}

.progress-ring-circle {
  fill: none;
  stroke: #bfa054;
  stroke-width: 4;
  stroke-linecap: round;
  stroke-dasharray: 879;      /* 2π * r where r = 140 */
  stroke-dashoffset: 879;     /* Fully hidden */
}


